Subject: Re: Please merge wip-haskell-updates (Re: [bug#36807] remove obsolete broken haskell packages)

From: Marius Bakke <[email-masked]>
Date: Thu, 08 Aug 2019 15:12:27 +0200

Timothy Sample <[email-masked]> writes:

> Hi Robert and Marius,
>
> Marius Bakke <[email-masked]> writes:
>
>> Robert Vollmert <[email-masked]> writes:
>>
>>> Oh, I meant to ask:
>>>
>>> On 6. Aug 2019, at 06:29, Timothy Sample <[email-masked]> wrote:
>>> 
>>>> I think it makes sense to wait for the core-updates merge (which
>>>> shouldn’t be too far out).
>>>
>>> Why? Shouldn’t substitutes be available since CI built the branch successfully?
>>
>> core-updates is still waiting for a full-rebuild change, and the CI is
>> currently unusable, so merging might take a month or more still.
>>
>> Getting this in 'master' meanwhile would be great, especially for i686
>> users :-)
>
> I stand corrected!  :)  I cherry-picked these commits from core-updates.
>
> Thanks for chiming in, Marius.

Thanks for merging, and huge thanks to Rob for untangling the Haskell
packages.

I have one comment about the series: we've disabled tests on some
packages that have been broken "forever" on i686.  It would be better to
do so selectively on just the affected architectures.  I.e.:

 #:tests? (if (string-prefix? "i686" (%current-system))
              #f
              #t)

Preferably with a comment about why they need to be disabled.  That way,
we will still notice when something breaks on other architectures.  Can
you try it Rob?

Thanks,
Marius